List managed-cluster upgrades
import requests
url = "https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades \
--cookie ankra_session={
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upgrades": [
{
"available_cnis": [
"<string>"
],
"is_default": true,
"version": "<string>",
"supported_until": "<string>"
}
],
"current_version": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Managed Clusters
List managed-cluster upgrades
Browser session authentication; RBAC permission clusters.read. For Kapsule, provider_cluster_id is the opaque region-qualified regions/{region}/clusters/{id} reference. CNI is immutable. Imported/unknown provenance is disconnect-only; provider deletion is allowed by default only for created clusters.
GET
/
org
/
clusters
/
managed
/
{provider}
/
{cluster_id}
/
upgrades
List managed-cluster upgrades
import requests
url = "https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/managed/{provider}/{cluster_id}/upgrades \
--cookie ankra_session={
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upgrades": [
{
"available_cnis": [
"<string>"
],
"is_default": true,
"version": "<string>",
"supported_until": "<string>"
}
],
"current_version": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Path Parameters
Available options:
doks, uks, gke, ovh_mks, aks, eks, kapsule Example:
"kapsule"